Tenant

Create a new tenant

Creates a tenant with provided name, platforms, languages and product ID.

POST
/api/v2/tenants

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/tenants" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "420eacee-7d2e-4ea0-ab47-817e9c2d92fe",  "name": "test2",  "languages": [    1  ],  "productId": "2456e544-60c1-4876-b5d9-531d2cbd7bfa",  "changerId": 5,  "createdAt": "2025-05-03 08:50:11",  "updatedAt": null,  "deletedAt": null}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}